"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateEnv = exports.generateEnvName = void 0;
const util_1 = require("./utils/util");
const generate_typed_env_call_usage_report_1 = require("./generate-typed-env-call-usage-report");
const generateEnvName = (arg) => {
    const envNames = (0, generate_typed_env_call_usage_report_1.generateTypedEnvCallUsageReport)(arg).envNames.reduce((pre, current) => {
        return Object.assign(Object.assign({}, pre), { [current]: current });
    }, {});
    return envNames;
};
exports.generateEnvName = generateEnvName;
const generateEnv = (arg) => {
    const report = (0, generate_typed_env_call_usage_report_1.generateTypedEnvCallUsageReport)(arg);
    const envValue = report.envNames.reduce((acc, cur) => {
        const envInfo = report.data[cur];
        const paths = Object.keys(envInfo);
        const values = (0, util_1.uniqBy)(paths.map((p) => envInfo[p].default).filter((r) => r != null), (t) => t);
        if (values.length > 1) {
            acc.push(`// default=[${values.join(',')}]`);
            acc.push(`${cur}=${values[0]}`);
        }
        else if (values.length === 1 && values[0].length > 0) {
            if (["''", '""'].includes(values[0])) {
                acc.push(`// default=[${values.join(',')}]`);
            }
            acc.push(`${cur}=`);
        }
        else {
            acc.push(`${cur}=`);
        }
        return acc;
    }, []);
    return envValue;
};
exports.generateEnv = generateEnv;
